National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2005-3011 Detail

Current Description

The sort_offline function for texindex in texinfo 4.8 and earlier allows local users to overwrite arbitrary files via a symlink attack on temporary files.

Source:  MITRE      Last Modified:  09/21/2005      View Analysis Description

Quick Info

CVE Dictionary Entry:
CVE-2005-3011
Original release date:
09/21/2005
Last revised:
10/10/2017
Source:
US-CERT/NIST

Impact

CVSS Severity (version 2.0):
CVSS v2 Base Score:
1.2 LOW
Vector:
(AV:L/AC:H/Au:N/C:N/I:P/A:N) (legend)
Impact Subscore:
2.9
Exploitability Subscore:
1.9
CVSS Version 2 Metrics:
Access Vector:
Locally exploitable
Access Complexity:
High
Authentication:
Not required to exploit
Impact Type:
Allows unauthorized modification

Vendor Statements (disclaimer)

Official Statement from Red Hat (03/14/2007)

Updated packages to correct this issue are available along with our advisory: http://rhn.redhat.com/errata/CVE-2005-3011.html Red Hat Enterprise Linux 5 is not vulnerable to this issue as it contains a backported patch.

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource Type Source Name
ftp://ftp.freebsd.org/pub/FreeBSD/CERT/advisories/FreeBSD-SA-06:01.texindex.asc External Source FREEBSD FreeBSD-SA-06:01
ftp://patches.sgi.com/support/free/security/advisories/20061101-01-P External Source SGI 20061101-01-P
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=328365 Exploit External Source MISC http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=328365
http://docs.info.apple.com/article.html?artnum=305530 External Source CONFIRM http://docs.info.apple.com/article.html?artnum=305530
http://lists.apple.com/archives/security-announce/2007/May/msg00004.html External Source APPLE APPLE-SA-2007-05-24
http://lists.trustix.org/pipermail/tsl-announce/2005-October/000354.html External Source TRUSTIX TSLSA-2005-0059
http://securitytracker.com/id?1014992 External Source SECTRACK 1014992
http://securitytracker.com/id?1015468 External Source SECTRACK 1015468
http://www.debian.org/security/2006/dsa-1219 External Source DEBIAN DSA-1219
http://www.gentoo.org/security/en/glsa/glsa-200510-04.xml External Source GENTOO GLSA-200510-04
http://www.mandriva.com/security/advisories?name=MDKSA-2005:175 External Source MANDRIVA MDKSA-2005:175
http://www.novell.com/linux/security/advisories/2005_23_sr.html External Source SUSE SUSE-SR:2005:023
http://www.redhat.com/support/errata/RHSA-2006-0727.html External Source REDHAT RHSA-2006:0727
http://www.securityfocus.com/archive/1/archive/1/464745/100/0/threaded External Source BUGTRAQ 20070404 VMSA-2007-0003 VMware ESX 3.0.1 and 3.0.0 server security updates
http://www.securityfocus.com/bid/14854 External Source BID 14854
http://www.ubuntu.com/usn/usn-194-1 External Source UBUNTU USN-194-1
http://www.vmware.com/support/vi3/doc/esx-1121906-patch.html External Source CONFIRM http://www.vmware.com/support/vi3/doc/esx-1121906-patch.html
http://www.vmware.com/support/vi3/doc/esx-2559638-patch.html External Source CONFIRM http://www.vmware.com/support/vi3/doc/esx-2559638-patch.html
http://www.vupen.com/english/advisories/2007/1267 Vendor Advisory External Source VUPEN ADV-2007-1267
http://www.vupen.com/english/advisories/2007/1939 Vendor Advisory External Source VUPEN ADV-2007-1939
https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A10589 External Source OVAL oval:org.mitre.oval:def:10589

References to Check Content

Identifier:
oval:org.mitre.oval:def:10589
Check System:
http://oval.mitre.org/XMLSchema/oval-definitions-5
Hyperlink:
http://oval.mitre.org/repository/data/DownloadDefinition?id=oval:org.mitre.oval:def:10589

Technical Details

Vulnerability Type (View All)

Vulnerable software and versions Switch to CPE 2.2

Configuration 1
OR
cpe:2.3:a:gnu:texinfo:*:*:*:*:*:*:*:*    versions up to (including) 4.8

Denotes Vulnerable Software
Are we missing a CPE here? Please let us know.

Change History 2 change records found - show changes